Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui
Interface TripleSelectable

All Superinterfaces:
  edu.stanford.smi.protege.util.Selectable

All Known Implementing Classes:
  ClassDescriptionTable, ClassTree, ClassTreeWithBrowserText, ConditionsTable, InstancesList, MultiResourceList, OWLTable, PropertyFormTable, SWRLTable, SymbolTable

    public interface TripleSelectable

extends edu.stanford.smi.protege.util.Selectable

A common interface for user interface components that can select triples from an ontology.

Author:
  Holger Knublauch

Method Summary
`List` | `getPrototypeTriples()` Gets triples with an empty object or subject, indicating the typical values of this.
`List` | `getSelectedTriples()` Gets the selected triples in an order that is meaningful to the component.
`void` | `setSelectedTriples(Collection triples)` Attempts to select given Triples in this.

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Method Detail

### getPrototypeTriples

    List getPrototypeTriples()

  Gets triples with an empty object or subject, indicating the typical values of this. For example, if this component displays the rdfs:comment of the resource Person, then the result would be the Triple (Person, rdfs:comment, null).

  Returns:
    a List of Triples

### getSelectedTriples

    List getSelectedTriples()

  Gets the selected triples in an order that is meaningful to the component.

  Returns:
    a List of Triples

### setSelectedTriples

    void setSelectedTriples(Collection triples)

  Attempts to select given Triples in this. The method may just do nothing if none of the triple is not shown.

  Parameters:
    `triples` - the Triples to show

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.